<template>
  <div :class="getContainerStyleBasedOnVariant()">
    <slot name="content">
      <div class="w-full flex flex-1 bg-primary">
      </div>
    </slot>
  </div>
</template>

<script setup>
import { ContainerVariants } from "../../constants/types.js";

const props = defineProps({
  variant: {
    type: String,
    default: ContainerVariants.WIDE,
    validator: (value) => Object.values(ContainerVariants).includes(value)
  }
})

const getContainerStyleBasedOnVariant = () => {
  switch (props?.variant) {
    case ContainerVariants.WIDE:
      return 'flex flex-col w-full h-full mx-auto max-w-[768px] !px-5 md:!px-12 md:!max-w-[1024px] lg:!max-w-[1280px] xl:!w-[1136px] xl:!px-0';
    case ContainerVariants.NARROW:
      return 'flex flex-col w-full h-full mx-auto max-w-[768px] !px-5 md:!px-0 md:!max-w-[656px]';
    default:
      return ''
  }
}
</script>